## filter 2.3.1

=== Makefile ===
# Variables
#	Variables established by Configure
CC		=	cc
CCFLAGS		=	 
CHGRP		=	/bin/chgrp
CHMOD		=	/bin/chmod
CP		=	/bin/cp
DEST		=	$(DESTDIR)/usr/local/bin
ECHO		=	/bin/echo
LFLAGS		=	 
LIB		=	
LIB2		= 	-lintl -lnls
LIBS		=	-lcurses 
LINT		=	/usr/ucb/lint
MAILGRP		=	mail
MAILERMODE	=	755
MAKE		=	/usr/ccs/bin/make
MV		=	/bin/mv
OPTIMIZE	=	-O
RM		= 	/bin/rm -f
TOUCH		=	/bin/touch


#	Variables you may want to manually edit
#		If you want debug logging then you'll
#		want to uncomment the following.
#DEBUG		=	-DDEBUG

#	Other variables
CFLAGS		=	$(CCFLAGS) $(OPTIMIZE) $(DEBUG) $(DACSNET) 

# Definitions of variables
FILTER_SRC	=	actions.c	\
			filter.c	\
			lock.c		\
			parse.c		\
			regexp.c	\
			rules.c		\
			summarize.c	\
			utils.c		\
			audit.c		\
			istrcmp.c	\
			mk_lockname.c	\
			strtokq.c

FILTER_OBJ	=	actions.o	\
			filter.o	\
			lock.o		\
			parse.o		\
			regexp.o	\
			rules.o		\
			summarize.o	\
			utils.o		\
			audit.o		\
			istrcmp.o	\
			mk_lockname.o	\
			strtokq.o


# Standard targets
all:		filter

install:	$(DEST)/filter
	(cd doc && $(MAKE) DESTDIR=$(DESTDIR) $(MFLAGS) install)	

uninstall:	
		$(RM) $(DEST)/filter

clean:		
		$(RM) $(FILTER_OBJ) filter core

reallyclean:	clean
		$(RM) config.sh

# Dependencies and rules
#	Dependencies of header files upon other header files they include
.PRECIOUS:		defs.h 

defs.h:	config.h 
	$(CHMOD) u+w $@
	$(TOUCH) $@


#	Dependencies and rules for C object files
actions.o:		defs.h filter.h s_filter.h
filter.o:		defs.h filter.h s_filter.h version.h
lock.o:			defs.h filter.h s_filter.h
parse.o:		defs.h filter.h s_filter.h
regexp.o:		defs.h regexp.h
rules.o:		defs.h filter.h s_filter.h
summarize.o:		defs.h filter.h s_filter.h
utils.o:		defs.h filter.h s_filter.h
audit.o:		defs.h filter.h s_filter.h

#	Dependencies and rules for compiling programs
filter:	$& $(FILTER_OBJ)
	$(CC) $(LFLAGS) -o $@ $(FILTER_OBJ)

#	Dependencies and rules for installing programs from bin directory
$(DEST)/filter:		filter
			-$(MV) $(DEST)/filter $(DEST)/filter.old
			-$(RM) $(DEST)/filter.old
			$(CP) $? $@
			$(CHGRP) $(MAILGRP) $@
			$(CHMOD) $(MAILERMODE) $@
