## filter 2.6.3

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,7 @@
 		$(RM) $(DEST)/filter
 
 clean:		
-		$(RM) $(FILTER_OBJ) filter core
+		$(RM) $(FILTER_OBJ) filter core tags
 
 reallyclean:	clean
 		$(RM) config.sh
