=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 FORMATTER_OPTS	=	
 LN		=	/bin/ln
 MAKE		=	/usr/ccs/bin/make
-MAN		=	$(DESTDIR)/usr/local/man/mann
+MAN		=	$(DESTDIR)/usr/man/mann
 MANEXT		=	.n
 CATMAN		=	none
 CATMANEXT	=
