## filter 2.6.3%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

%:
	dh $@

override_dh_auto_configure:
	# If you want to answer the questions yourself, comment out
	# the -d option
	./Configure -d
