## filter 2.6.3+ds1

=== debian/changelog ===
filter (2.6.3+ds1-5) unstable; urgency=medium

  * QA upload.
  * debian/patches/fix-build-with-gcc-14.patch: Fix build with GCC 14.
    (Closes: #1074956)

 -- Marcos Talau <talau@debian.org>  Sat, 21 Sep 2024 11:27:58 -0300

filter (2.6.3+ds1-4) unstable; urgency=medium

  * QA upload.
  * Migrate GIT repository from alioth to salsa.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066368)
  * Fix building with -Werror=format-security.
  * Declare Rules-Requires-Root: binary-targets.
  * Fix building twice in a row.  (Closes: #1044588)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 10:18:17 +0200

filter (2.6.3+ds1-3) unstable; urgency=low

  * QA upload.
  * Fix more implicit function declarations, this time in audit.c,
    strtokq.c and istrcmp.c. This also fixes segfaults during logging on
    amd64 (and probably more 64-bit platforms). (Closes: #815438)

 -- Axel Beckert <abe@debian.org>  Sun, 21 Feb 2016 16:27:04 +0100

filter (2.6.3+ds1-2) unstable; urgency=low

  * QA upload.
  * Make build reproducible:
    + Add patch to enforce usage of gethostname at runtime instead of
      hardwiring the buildsystem's hostname into the resulting binary.
    + Remove obsoleted hunks from config.h.patch and config.h.SH.patch.
  * Import patch from Ubuntu to fix implicit function declarations.

 -- Axel Beckert <abe@debian.org>  Sat, 20 Feb 2016 23:53:26 +0100

filter (2.6.3+ds1-1) unstable; urgency=low

  * QA upload.
    + Set Maintainer to Debian QA Group. (See #814851)
    + Import package history into Git with "gbp import-dscs" and create a
      collab-maint Git repository for it. Add Vcs-* headers accordingly.
  * Remove "Local variables:" and superfluous blank lines from
    debian/changelog.
  * Revamp packaging:
    + Bump debhelper compatibility to 9 (Closes: #800176)
    + Rewrite debian/rules with minimal dh(1) style
    + Switch to source format "3.0 (quilt)".
    + Add "test" to debian/clean.
    + Depend on ${misc:Depends}.
    + Add Homepage header.
    + Declare compliance with Debian policy 3.9.7.
      - Remove patch hunks which switch /var/mail to /var/spool/mail.
  * Update watch file to version 3. (Closes: #529109)
  * Repack upstream tarball to exclude temporary files ("UU" directory)
    and backup files ("*.orig").
  * Remove obsolete example file debian/manpage.sgml.ex. Thanks lintian!
  * Fix typo and style issues found by lintian.
  * Convert debian/copyright to machine-readable DEP5 format.
  * Enable all hardening flags (for now except format string errors)
    + Add patch to pass CFLAGS, LDFLAGS and friends properly to CC.
  * Add patch to fix spelling errors found via lintian.

 -- Axel Beckert <abe@debian.org>  Sat, 20 Feb 2016 04:41:10 +0100

filter (2.6.3-1) unstable; urgency=medium

  * New upstream release
  * Security bug fixed upstream
  * New feature for matching, "alphasubject"
  * (Closes #124616  grammar "bug")
  * (Closes #287048  security bug)

 -- Philip Brown <pbrown@vore.debian.org>  Fri, 24 Dec 2004 01:31:48 -0500

filter (2.4.2-1) unstable; urgency=low

  * New upstream release
  * made "lines" comparison work
  * added "mailinglist" header check, to look for "x-mailing-list: "
  * made  if(xx != "yy") work again
  * added "resend" command

 -- Philip Brown <pbrown@debian.org>  Wed, 17 Sep 2003 08:14:43 +0200

filter (2.3.1-3) unstable; urgency=low

  * ANOTHER fix for the auto-build process. oops.
    Tweaked Configure some more

 -- Philip Brown <pbrown@debian.org>  Thu, 16 aug 2001 09:44:50 -0700

filter (2.3.1-2) unstable; urgency=low

  * adjustment to build process to make the default be
    fully automated

 -- Philip Brown <pbrown@debian.org>  Sat, 11 aug 2001 09:44:50 -0700

filter (2.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Philip Brown <pbrown@debian.org>  Sat, 28 Jul 2001 09:44:50 -0700
