=== debian/control ===
Source: filter
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/debian/filter
Vcs-Git: https://salsa.debian.org/debian/filter.git
Homepage: http://www.bolthole.com/filter/

Package: filter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: program that filters local email via forward/pipe
 filter is one of the original mail filtering programs written for UNIX.
 (originally a part of the 'elm' mailer)
 Install it via a pipe(|) reference in $HOME/.forward, and let it
 separate your incoming email into different personal mailboxes.
