=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+// \
http://www.bolthole.com/filter/ \
(?:.*/|)filter(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz)
